<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Abastecimento extends CI_Controller {

    public function __construct() {
        parent::__construct();

        $this->load->database();
        $this->load->library('grocery_CRUD');
        $this->load->model('User_model', 'User');
        $this->User->isLogged();
    }

    public function _gc_output($output = null) {
        $content['nocPage'] = 'grocerycrud';
        $content['dadosTemplate']['tpt_Nome'] = 'Controle de Abastecimento';
        $content['dadosTemplate']['tpt_Descricao'] = 'Informações sobre abastecimentos solicitado';
        $content['dados'] = $output;
        $content['userData'] = $this->session->all_userdata()['logged_in'];
        $this->load->view('template',$content);
    }

    public function index() {
        try {
            $crud = new grocery_CRUD();
            $crud->set_theme('flatgrid');
            $crud->set_table('abastecimento');
            $crud->set_subject(' Abastecimento');
            //$crud->required_fields('alt_titulo', 'alt_datahora', 'alt_descricao', 'alt_categoria');
            //$crud->columns('alt_id','alt_titulo','alt_datahora', 'alt_categoria', 'alt_usuario');
            $crud->display_as('id_veiculo', 'Veículo');
            $crud->display_as('id_motorista', 'Motora');
            $crud->display_as('id_empresa', 'Posto');
            //$crud->order_by('alt_datahora', 'desc');
            $crud->set_relation('id_veiculo', 'veiculo', '{marca} - {modelo} - {placa}');
            $crud->set_relation('id_motorista', 'motorista', 'motorista');
            $crud->set_relation('id_empresa', 'fornecedor', 'nome',array('id_tipofornecedor' => '1'));
	    $crud->order_by('data','desc');
            //$crud->callback_before_insert(array($this,'tratarDados'));
            //$crud->callback_column('alt_usuario',array($this,'_callback_usuario'));
            //$crud->field_type('alt_usuario', 'hidden');
            //$crud->unset_fields('alt_id');
	   $crud->callback_before_insert(array($this,'numeroflutuante'));
	   $crud->callback_before_update(array($this,'numeroflutuante'));


		
	    //$crud->add_action('Imprime', 'http://www.grocerycrud.com/assets/uploads/general/smiley.png','','',array($this,'imprime'));
	    $crud->add_action('Imprime', 'http://frota.clicrapido.com.br/pdf/Printer.png','','',array($this,'imprime'));

            $crud->unset_jquery();
            $crud->unset_print();
            $crud->unset_export();

            $output = $crud->render();

            $this->_gc_output($output);

        }catch(Exception $e){
            show_error($e->getMessage().' - '.$e->getTraceAsString());
        }
    }
function numeroflutuante($dados)
{
	$dados['preco_litro'] = str_replace(",",".",$dados['preco_litro']);
	$dados['litros'] = str_replace(",",".",$dados['litros']);
	$dados['total'] = $dados['preco_litro'] * $dados['litros'];
	return $dados;
}

function imprime($primary_key , $row)
{
$dados_combustivel = $this->db->query("select e.nome as nome , m.motorista as motorista, concat(v.marca, ' - ', v.modelo, ' - ', v.placa) as veiculo FROM abastecimento a, fornecedor e, veiculo v, motorista m WHERE e.id_fornecedor = a.id_empresa AND v.id_veiculo = a.id_veiculo AND m.id_motorista = a.id_motorista AND id_abastecimento = ".$row->id_abastecimento);
return site_url('/pdf/combustivel.php').'?empresa='.$dados_combustivel->row()->nome."&motorista=".$dados_combustivel->row()->motorista."&data=".$row->data."&veiculo=".$dados_combustivel->row()->veiculo."&km=".$row->km."\" target='_blank'";


}

    public function categorias() {
        try {
            $crud = new grocery_CRUD();
            $crud->set_theme('flatgrid');
            $crud->set_table('categorias_networklog');
            $crud->set_subject('Categorias');
            $crud->required_fields('cat_nome');
            $crud->columns('cat_id','cat_nome');
            $crud->display_as('cat_id', '#');
            $crud->display_as('cat_nome', 'Nome');
            $crud->order_by('cat_nome', 'asc');
            $crud->unset_fields('cat_id');
            $crud->unset_jquery();
            $crud->unset_print();
            $crud->unset_export();

            $output = $crud->render();

            $this->_gc_output($output);

        }catch(Exception $e){
            show_error($e->getMessage().' - '.$e->getTraceAsString());
        }
    }

    public function _callback_usuario($value, $row) {
        $value = $this->User->getUserNome($value);
        return $value;
    }

    function tratarDados($post_array) {
        $session_data = $this->session->userdata('logged_in');
        $post_array['alt_usuario'] = $session_data['usr_id'];
        return $post_array;
    }
}
