<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Motorista extends CI_Controller {

    public function __construct() {
        parent::__construct();

        $this->load->database();
        $this->load->library('grocery_CRUD');
        $this->load->model('User_model', 'User');
        $this->User->isLogged();
    }

    public function _gc_output($output = null) {
        $content['nocPage'] = 'grocerycrud';
        $content['dadosTemplate']['tpt_Nome'] = 'Cadastro de Motorista';
        $content['dadosTemplate']['tpt_Descricao'] = 'Informações sobre motoristas';
        $content['dados'] = $output;
        $content['userData'] = $this->session->all_userdata()['logged_in'];
        $this->load->view('template',$content);
    }

    public function index() {
        try {
            $crud = new grocery_CRUD();
            $crud->set_theme('flatgrid');
            $crud->set_table('motorista');
            $crud->set_subject('um Motorista');
            //$crud->required_fields('alt_titulo', 'alt_datahora', 'alt_descricao', 'alt_categoria');
            //$crud->columns('alt_id','alt_titulo','alt_datahora', 'alt_categoria', 'alt_usuario');
            //$crud->display_as('alt_id', '#');
            //$crud->display_as('alt_titulo', 'Título');
            //$crud->display_as('alt_descricao', 'Descrição');
            //$crud->display_as('alt_datahora', 'Data/Hora');
            //$crud->display_as('alt_usuario', 'Usuário');
            //$crud->display_as('alt_categoria', 'Categoria');
            //$crud->order_by('alt_datahora', 'desc');
            //$crud->set_relation('alt_categoria', 'categorias_networklog', 'cat_nome');
            //$crud->callback_before_insert(array($this,'tratarDados'));
            //$crud->callback_column('alt_usuario',array($this,'_callback_usuario'));
            //$crud->field_type('alt_usuario', 'hidden');
            //$crud->unset_fields('alt_id');
            $crud->unset_jquery();
            $crud->unset_print();
            $crud->unset_export();
	    $crud->order_by('motorista', 'asc');
            $output = $crud->render();

            $this->_gc_output($output);

        }catch(Exception $e){
            show_error($e->getMessage().' - '.$e->getTraceAsString());
        }
    }

    public function categorias() {
        try {
            $crud = new grocery_CRUD();
            $crud->set_theme('flatgrid');
            $crud->set_table('categorias_networklog');
            $crud->set_subject('Categorias');
            $crud->required_fields('cat_nome');
            $crud->columns('cat_id','cat_nome');
            $crud->display_as('cat_id', '#');
            $crud->display_as('cat_nome', 'Nome');
            $crud->order_by('cat_nome', 'asc');
            $crud->unset_fields('cat_id');
            $crud->unset_jquery();
            $crud->unset_print();
            $crud->unset_export();

            $output = $crud->render();

            $this->_gc_output($output);

        }catch(Exception $e){
            show_error($e->getMessage().' - '.$e->getTraceAsString());
        }
    }

    public function _callback_usuario($value, $row) {
        $value = $this->User->getUserNome($value);
        return $value;
    }

    function tratarDados($post_array) {
        $session_data = $this->session->userdata('logged_in');
        $post_array['alt_usuario'] = $session_data['usr_id'];
        return $post_array;
    }
}
