<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class relatorios extends CI_Controller {

    public function __construct() {
        parent::__construct();

        $this->load->database();
        $this->load->library('grocery_CRUD');
        $this->load->model('User_model', 'User');
        $this->User->isLogged();
    }

    public function _gc_output($output = null) {
        $content['nocPage'] = 'grocerycrud';
        $content['dadosTemplate']['tpt_Nome'] = 'Relatórios';
        $content['dadosTemplate']['tpt_Descricao'] = 'Escolha um relatório abaixo';
        $content['dados'] = $output;
        $content['userData'] = $this->session->all_userdata()['logged_in'];
        $this->load->view('template',$content);
    }

    public function index() {
        try {
            $crud = new grocery_CRUD();
            $crud->set_theme('flatgrid');
            $crud->set_table('relatorios');
            $crud->set_subject(' Abastecimento');

	    //$crud->add_action('Imprime', 'http://www.grocerycrud.com/assets/uploads/general/smiley.png','','',array($this,'imprime'));
	    $crud->add_action('Imprime', 'http://frota.clicrapido.com.br/pdf/Printer.png','','',array($this,'imprime'));

            $crud->unset_jquery();
            $crud->unset_print();
            $crud->unset_export();

            $output = $crud->render();

            $this->_gc_output($output);

        }catch(Exception $e){
            show_error($e->getMessage().' - '.$e->getTraceAsString());
        }
    }
function imprime($primary_key , $row)
{
//$dados_combustivel = $this->db->query("select e.nome as nome , m.motorista as motorista, concat(v.marca, ' - ', v.modelo, ' - ', v.placa) as veiculo FROM abastecimento a, fornecedor e, veiculo v, motorista m WHERE e.id_fornecedor = a.id_empresa AND v.id_veiculo = a.id_veiculo AND m.id_motorista = a.id_motorista AND id_abastecimento = ".$row->id_abastecimento);
return site_url($row->link."\" target='_blank'");


}

    public function categorias() {
        try {
            $crud = new grocery_CRUD();
            $crud->set_theme('flatgrid');
            $crud->set_table('categorias_networklog');
            $crud->set_subject('Categorias');
            $crud->required_fields('cat_nome');
            $crud->columns('cat_id','cat_nome');
            $crud->display_as('cat_id', '#');
            $crud->display_as('cat_nome', 'Nome');
            $crud->order_by('cat_nome', 'asc');
            $crud->unset_fields('cat_id');
            $crud->unset_jquery();
            $crud->unset_print();
            $crud->unset_export();

            $output = $crud->render();

            $this->_gc_output($output);

        }catch(Exception $e){
            show_error($e->getMessage().' - '.$e->getTraceAsString());
        }
    }

    public function _callback_usuario($value, $row) {
        $value = $this->User->getUserNome($value);
        return $value;
    }

    function tratarDados($post_array) {
        $session_data = $this->session->userdata('logged_in');
        $post_array['alt_usuario'] = $session_data['usr_id'];
        return $post_array;
    }
}
